subroutine ghost_chan_mpi
  ! This subroutine is part of the MPI package for the channel flow
  ! Diablo package.

  return
end

subroutine end_run_mpi
  ! This subroutine is part of the MPI package for the channel flow
  ! Diablo package.

  return
end

subroutine ghost_grid_mpi
  ! This subroutine is part of the MPI package for the channel flow
  ! Diablo package.

  return
end

!----*|--.---------.---------.---------.---------.---------.---------.-|-------|
subroutine thomas_forward_real_mpi(a, b, c, g, Nyp, Nx)
  !----*|--.---------.---------.---------.---------.---------.---------.-|-------|
  ! This subroutine performs the forward sweep of the Thomas algorithm

  return
end

!----*|--.---------.---------.---------.---------.---------.---------.-|------
subroutine thomas_forward_complex_mpi(a, b, c, g, Nyp, Nx)
  !----*|--.---------.---------.---------.---------.---------.---------.-|-----|
  ! This subroutine performs the forward sweep of the Thomas algorithm

  return
end

!----*|--.---------.---------.---------.---------.---------.---------.-|------
subroutine thomas_backward_real_mpi(a, b, c, g, Nyp, Nx)
  !----*|--.---------.---------.---------.---------.---------.---------.-|------
  ! This subroutine performs the backward sweep of the Thomas algorithm

  return
end

!----*|--.---------.---------.---------.---------.---------.---------.-|------
subroutine thomas_backward_complex_mpi(a, b, c, g, Nyp, Nx)
  !----*|--.---------.---------.---------.---------.---------.---------.-|-----|
  ! This subroutine performs the backward sweep of the Thomas algorithm

  return
end

!----*|--.---------.---------.---------.---------.---------.---------.-|------
subroutine init_mpi
  !----*|--.---------.---------.---------.---------.---------.---------.-|-----|

  return
end

!----*|--.---------.---------.---------.---------.---------.---------.-|------
subroutine init_chan_mpi
  !----*|--.---------.---------.---------.---------.---------.---------.-|-----|
  ! Initialize any constants here

  return
end

subroutine apply_BC_th_mpi(matl, matd, matu, vec, n)
  ! This subroutine applies the boundary conditions to the
  ! scalar fields prior to the implicit solve
  return
end

subroutine apply_BC_th_mpi_c(matl_c, matd_c, matu_c, vec_c, n)
  ! This subroutine applies the boundary conditions to the
  ! scalar fields prior to the implicit solve
  return
end

subroutine apply_BC_u2_mpi(matl, matd, matu, vec)
  ! This subroutine applies the boundary conditions to the
  return
end

subroutine apply_BC_u2_mpi_c(matl_c, matd_c, matu_c, vec_c)
  ! This subroutine applies the boundary conditions to the
  return
end

subroutine apply_BC_u1_mpi(matl, matd, matu, vec)
  ! This subroutine applies the boundary conditions to the
  ! velocity field prior to the implicit solve
  return
end

subroutine apply_BC_u1_mpi_c(matl_c, matd_c, matu_c, vec_c)
  ! This subroutine applies the boundary conditions to the
  return
end

subroutine apply_BC_u3_mpi(matl, matd, matu, vec)
  ! This subroutine applies the boundary conditions to the
  return
end

subroutine apply_BC_u3_mpi_c(matl_c, matd_c, matu_c, vec_c)
  ! This subroutine applies the boundary conditions to the
  return
end

subroutine apply_BC_rem_div_mpi(matl_c, matd_c, matu_c, vec_c, k)
  ! This subroutine applies the boundary conditions for the Poisson Eq.
  ! Note, MATL, MATD, etc. are dimensioned in header

  return
end

subroutine apply_BC_poisson_mpi(matl_c, matd_c, matu_c, vec_c, k)
  ! This subroutine applies the boundary conditions for the Poisson Eq.
  ! Note, MATL, MATD, etc. are dimensioned in header

  return
end

subroutine apply_BC_vel_mpi
  ! This subroutine applies the boundary conditions for the Poisson Eq.
  ! Note, MATL, MATD, etc. are dimensioned in header

  return
end

subroutine get_minimum_mpi(val) !
  ! This subroutine is part of the MPI package for the channel flow
  ! Diablo package.

  return
end
