function dfdt = ddt(f,time)
% For z-t plane

if size(f,2) ~= length(time)
    flop = true;
    f = f.';
else
    flop = false;
end

fext = [f(:,2)  f  f(:,end-1)];
text = [2*time(:,1)-time(:,2),  time,  2*time(:,end)-time(:,end-1)];

dfdt = (fext(:,3:end) - fext(:,1:end-2)) ./ (text(3:end) - text(1:end-2));


if flop
    dfdt = dfdz.';
end


end