function dfdy = ddy(f,dy)
% For x-y plane

[Nx,Ny] = size(f);

k2 = fftshift((-Ny/2 : Ny/2 - 1)*(2*pi/(Ny*dy)));
ky = repmat(k2,[Nx,1]);
fhat = fft(f,[],2);

fhat = 1i*ky.*fhat;

dfdy = ifft(fhat,[],2,'symmetric');


end