% Makes the Grids

if ~exist('gzf','var')
    timename = sprintf('%04i',1);
    varname = ['/gzf/' timename];
    gzf(:) = h5read([full_dir '/mean.h5'],varname);
end

gz = zeros([1,Nz-1]);
dzf = zeros([1,Nz]);
dz = zeros([1,Nz]);
rz = zeros([1,Nz-1]);

for j = 1:Nz-1
  gz(j) = (gzf(j+1)+gzf(j))/2;    
end

for j = 2:Nz-1
  dzf(j) = (gz(j)-gz(j-1)); % Centred on the gzf point
end
dzf(1) = dzf(2); dzf(end) = dzf(end-1);

for j = 2:Nz
  dz(j) = gzf(j)-gzf(j-1); % Centred on the gz point
end


x = linspace(0,Lx,Nx+1);
x(end) = [];

dx = Lx/(Nx+1); % Last point is periodic


y = linspace(0,Ly,Ny+1);
y(end) = [];

dy = Ly/(Ny+1); % Last point is periodic


